https://api.nexscope.ai/kd/livestream/rankRun this API
Send a JSON request to execute this API and receive the documented response payload.
Endpoint
| Method | POST |
| Path | https://api.nexscope.ai/kd/livestream/rank |
| Auth | Bearer API key |
| Content-Type | application/json |
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
region | string | optional | Region/market code, such as `US`; maximum length 1000 |
dateRange | string | optional | Time range, such as `last7Day` (last 7 days), `last30Day` (last 30 days); maximum length 1000 |
pageNumber | integer | optional | Page number, value 1-5; out of range returns `errcode 501` |
pageSize | integer | optional | Quantity per page, value 5-100 |
language | string | optional | Return language, for example `zh-CN`, `en-US` |
currency | string | optional | Currency unit, such as `USD` |
category_id | string | optional | Category ID filter |
shop_id | string | optional | Store ID filter |
creator_id | string | optional | Expert ID filtering |
product_id | string | optional | Product ID filter |
followers_range | string | optional | Filter by number of fans |
sortField | object | optional | Sorting conditions, the structure is defined by the gateway; when not sorting, pass an empty object `{}` |
livestreamId | string | required | Live broadcast unique ID, such as `7661409374878878494`, usually `livestream_id` from the list; maximum length 1000 |
Code example
{
"currency": "USD",
"dateRange": "last7Day",
"pageNumber": 1,
"pageSize": 5,
"region": "US"
}Response example
Platform response envelope. code 0 indicates success or acceptance; data contains the business result.
{
"code": 0,
"cost": "-1",
"data": {},
"msg": null,
"time": "2026-01-01 00:00:00",
"traceId": null,
"ts": "0"
}Response fields
Response field reference (27 fields)
| Name | Type | Required | Description |
|---|---|---|---|
errcode | integer | optional | Business status code, `200` indicates success |
data | array | optional | Live broadcast list or live broadcast details |
costToken | integer | optional | The deduction token for this call is fixed to `14000` |
errmsg | string | optional | Status message, `ok` on success |
livestream_start_time | integer | optional | Live broadcast start time (epoch milliseconds) |
livestream_end_time | integer | optional | Live broadcast end time (epoch milliseconds) |
livestream_duration | integer | optional | Live broadcast duration (seconds) |
livestream_title | string | optional | Live title |
livestream_id | string | optional | The unique ID of the live broadcast (a string to avoid the loss of large integer precision), which can be used as the `livestreamId` of the details interface |
creator_id | string | optional | The unique ID of the expert (string, to avoid loss of large integer precision) |
creator_handle | string | optional | Expert account handle |
revenue | string | optional | Total sales/GMV, returned by requested `currency`; returned as a string, such as `"185590.52"` |
unit_price | string | optional | The unit price of the piece is returned according to the requested `currency`; the return is a string, such as `"265.89"` |
views | integer | optional | Number of views |
record_type | string | optional | Record type, such as `SHORT` |
livestream_id | string | optional | Live broadcast unique ID, consistent with the requested `livestreamId` |
livestream_title | string | optional | Live title, such as `24 HOUR STREAM` |
creator_id | string | optional | The unique ID of the expert (string, to avoid loss of large integer precision) |
creator_handle | string | optional | Expert username/handle, such as `pokepiglt` |
livestream_start_time | integer | optional | Live broadcast start time, epoch milliseconds |
livestream_end_time | integer | optional | Live broadcast end time, epoch milliseconds |
livestream_duration | integer | optional | Live broadcast duration, unit seconds |
record_type | string | optional | Record type, such as `SHORT` |
viewers | integer | optional | Number of viewers; use `viewers` for details and `views` for lists |
revenue | number | optional | Live sales/GMV, returned by requested `currency`; details are of type numeric |
gpm | number | optional | GMV per mille, GMV per thousand impressions; details exclusive |
product_number | integer | optional | Number of goods delivered live |
Responses
| Code | Description |
|---|---|
| 200 | HTTP request completed. Check JSON code; only 0 indicates business success or acceptance. |
| 400 | Request JSON or required API parameters are invalid. |
| 401 | API key is missing, invalid, or cannot be matched to a user. |
| 5xx | API execution or upstream service failed. |
Data source, freshness, and limitations
Source, freshness, coverage, rate limits, and estimation notes are not specified in this API definition unless they appear in the request or response field documentation above. Do not assume official marketplace data or real-time freshness when it is not explicitly documented.